# UDM Configurations (Interfaces)

## Overview

The User-Defined Metadata allows for additional information to be added to a record for a given network interface. It can also be used to override existing fields.

## Configurations

### EF\_PROCESSOR\_ENRICH\_NETIF\_METADATA\_ENABLE

Specifies whether the user-defined metadata enrichment is enabled.

* Valid Values
  * `true`, `false`
* Default
  * `true`

### EF\_PROCESSOR\_ENRICH\_NETIF\_METADATA\_USERDEF\_PATH

If the user-defined metadata enrichment is enabled (`EF_PROCESSOR_ENRICH_NETIF_METADATA_ENABLE` is `true`) this setting specifies the path to the metadata file. If this value is undefined or empty, metadata enrichment will be disabled.

For more details on the format of this file and the behavior of the User-Defined Metadata functionality, refer to: [User-Defined Metadata Enrichment](/flowcoll/configuration/enrichment-options/enrich_netif_options/enrich_netif.md#user-defined-metadata-enrichment)

* Default
  * `''`
* Recommended
  * `/etc/elastiflow/metadata/netifs.yml`

### EF\_PROCESSOR\_ENRICH\_NETIF\_METADATA\_REFRESH\_RATE

The file specified in `EF_PROCESSOR_ENRICH_NETIF_METADATA_USERDEF_PATH` can be loaded automatically to refresh values without restarting the collector. This value specifies the refresh interval, in minutes, that the file will be reloaded. The value of `0` disables refreshing of the values.

* Default
  * `15`


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.elastiflow.com/flowcoll/configuration/enrichment-options/enrich_netif_options/enrich_netif/enrich_netif_udm.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
